<back to all web services

GetTranslationReview

The following routes are available for this service:
GET/RestApi/translations/review/{id}
import java.math.*;
import java.util.*;
import java.io.InputStream;
import net.servicestack.client.*;

public class dtos
{

    public static class GetTranslationReview
    {
        public UUID Id = null;
        
        public UUID getId() { return Id; }
        public GetTranslationReview setId(UUID value) { this.Id = value; return this; }
    }

    public static class TranslationReviewProxy
    {
        public String ActualSourceLanguage = null;
        public String TargetLanguage = null;
        public String ItemType = null;
        public IList<TranslationUnitGroupProxy> UnitGroups = null;
        
        public String getActualSourceLanguage() { return ActualSourceLanguage; }
        public TranslationReviewProxy setActualSourceLanguage(String value) { this.ActualSourceLanguage = value; return this; }
        public String getTargetLanguage() { return TargetLanguage; }
        public TranslationReviewProxy setTargetLanguage(String value) { this.TargetLanguage = value; return this; }
        public String getItemType() { return ItemType; }
        public TranslationReviewProxy setItemType(String value) { this.ItemType = value; return this; }
        public IList<TranslationUnitGroupProxy> getUnitGroups() { return UnitGroups; }
        public TranslationReviewProxy setUnitGroups(IList<TranslationUnitGroupProxy> value) { this.UnitGroups = value; return this; }
    }

    public static class TranslationUnitGroupProxy
    {
        public String Name = null;
        public IList<TranslationUnitProxy> Units = null;
        
        public String getName() { return Name; }
        public TranslationUnitGroupProxy setName(String value) { this.Name = value; return this; }
        public IList<TranslationUnitProxy> getUnits() { return Units; }
        public TranslationUnitGroupProxy setUnits(IList<TranslationUnitProxy> value) { this.Units = value; return this; }
    }

    public static class TranslationUnitProxy
    {
        public String PropertyName = null;
        public String SourceValue = null;
        public String TargetValue = null;
        
        public String getPropertyName() { return PropertyName; }
        public TranslationUnitProxy setPropertyName(String value) { this.PropertyName = value; return this; }
        public String getSourceValue() { return SourceValue; }
        public TranslationUnitProxy setSourceValue(String value) { this.SourceValue = value; return this; }
        public String getTargetValue() { return TargetValue; }
        public TranslationUnitProxy setTargetValue(String value) { this.TargetValue = value; return this; }
    }

}

Java GetTranslationReview DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/review/{id} HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length

{"ActualSourceLanguage":"String","TargetLanguage":"String","ItemType":"String"}